@charset "UTF-8";
/* CSS Document */


#subBanner {
  padding: 14vh 0 10vh;
  background: url(thumbnaillarge/Sub-eCommerce.png) no-repeat 100% 0% / contain;
}

#section1{
  padding-top: 0;
}

.submenu-ecommerce{
  position: fixed;
	z-index: 20;
  left: 0;
  top: 165px;
	top: var(--header-height);
  width: 100%;
  background: transparent;
  padding: 0em 2em;
	transform: translateY(0px);
	opacity: 1;
  transition: all .3s ease;
}

.submenu-ecommerce:before{
	content:'';
	width: 100%;
	height: 100%;
	background: red;
	position: absolute;
	left:0;
	z-index: -1;
	transition: all .2s ease;
	background: var(--grey20);
	opacity: .8;
}

.submenu-ecommerce ul{
	position: relative;
	z-index: 25;
  width: 100%;
  display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	padding: 1em 0;
}

.submenu-ecommerce ul li{
  padding: 0em .2em;
	margin: 0;
}

.submenu-ecommerce ul li a{
	display: block;
  padding: .5em 1em;
	margin: .1em 0;
	text-transform: uppercase;
	font-size: .9em;
	border-radius: var(--round);
	transition: all .3s ease;
} 

.submenu-ecommerce ul li a:hover{
	color: white;
	background: var(--green);
}


/* below hides the ecommerce sub menu on scroll */
/* .shrink .submenu-ecommerce{
	transform: translateY(-50px);
  opacity: 0
} */

.scroll-down .submenu-ecommerce{
	transform: translateY(-180px);
	opacity: 0;
}

.scroll-up .submenu-ecommerce:before{
	background: var(--grey20);
	opacity: .9;
}



.featured-image{
  padding: 0;
  transform: translateX(0%)
}

section#section4 .textSection:before{
	content: '';
	display: block;
	width: 85vw;
	height: calc(100% + 80px);
	background: var(--navy) url(thumbnaillarge/bg-dark-section.jpg) no-repeat bottom center / cover;
	position: absolute;
	left: 0;
	top: -40px;
	padding: 0;
	border-radius: 40px 0px 0px 40px;
  border-radius: 0px 40px 40px 0px;

}

section#section3 .textSection:before{
	right: auto;
	left: 0;
	border-radius: 0px 40px 40px 0px;
}






#section8{
  padding-top: 8rem;
}

#section8:before{
  top: 0;
}



/* Payment Section on main eCommerce page */
#section5{
	padding: 4rem 0 2rem;
}



.payment-wrap{
	align-items: flex-start;
	gap: 4rem;
  padding: 4em 0;
}
.payment{
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
  width: 100%;
  max-width: 500px;
	margin: 0 auto;
}
.payment-logo{
	display: flex;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
  max-width: 300px;
	height: 120px;
}
.payment-logo img{
	display: block;
  width: 100%;
	height: auto;
}
.payment-sub{
  font-weight: 500;
  font-size: 30px;
  margin: 1em 0;
	line-height: 1.2em;
}

.payment a{
  margin-top: 2em;
}

.logo-steps .feature-wrap {
  grid-template-columns: repeat(4, 1fr);
  gap: calc( var(--gap) / 2);
}

.logo-steps .feature{
	padding: 1em 3em 2em;
}

.logo-steps .steps-tagline{
	display: block;
	font-size: 40px;
	font-weight: 700;
	color: white;
	text-transform: uppercase;
	letter-spacing: .1em;
	padding: 1em 1em;
	width: 100%;
	max-width: 1200px;
	margin: auto;
}

.logo-steps .card-heading{
	margin: 0;
	padding: 0;
	font-size: 50px;
	margin-top: .5em;
}

.logo-steps .card-sub-heading{
	font-size: 28px;
	font-weight: 700;
	text-transform: uppercase;
	margin: .8em 0;
}

.logo-steps .feature.cyan .card-sub-heading{color: var(--cyan);}
.logo-steps .feature.purple .card-sub-heading{color: var(--purple);}
.logo-steps .feature.orange .card-sub-heading{color: var(--orange);}
.logo-steps .feature.maroon .card-sub-heading{color: var(--maroon);}


.logo-steps .feature.cyan .card-icon{fill: var(--cyan);}
.logo-steps .feature.purple .card-icon{fill: var(--purple);}
.logo-steps .feature.orange .card-icon{fill: var(--orange);}
.logo-steps .feature.maroon .card-icon{fill: var(--maroon);}


@media (max-width: 1400px){
	.image-gfx::before{
		display: none;
	}
	.image-gfx:after{
		width: 80%;
		height: 80%;
	}
	.payment-wrap{
		grid-template-columns: 1fr 1fr;
	}
}

@media (min-width: 700px) and (max-width: 1000px){
	main #subBanner{
		padding-top: 12vh;
	}
}

@media (min-width: 700px) and (max-width: 900px){
	.submenu-ecommerce ul{
		justify-content: center;
		padding: .5em 0;
	}
	.submenu-ecommerce ul li a{
		font-size: .8em;
	}
	
	/* This is for the main eCommerce Page */
	#section3 .grid-6-6 .image-gfx{
		order: -1;
	}
	.payment{
		max-width: none;
		padding: 0 2em;
	}
	.payment-wrap{
		grid-template-columns: 1fr;
	}
}

@media (max-width: 700px){
	#subBanner{
		padding: 6vh 0 4vh;
	}
	.submenu-ecommerce ul{
		justify-content: center;
		padding: .5em 0;
	}
	.submenu-ecommerce ul li a{
		font-size: .8em;
		padding: .1em .3em;
	}
	.payment-wrap{
		grid-template-columns: 1fr;
		gap: 1em;
		padding: 1em;
	}
	.payment-logo{
		max-width: 200px;
		margin: auto;
	}
	.payment-sub{
		font-size: 24px;
		margin: 0 0 .5em;
	}
	.payment .cta-btn{
		margin: 1em auto 0;
	}
	.scroll-up .submenu-ecommerce{
		top: 58px;
	}
		#section8{
		padding: 4rem 0;
	}
	#section8 .text-wrap{
		padding: 0;
	}
}
